using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace ksp_osm
{
    public class OsmMap
    {
        public OsmMap(
            Dictionary<long, Node> nodes,
            Dictionary<long, Way> ways,
            Dictionary<long, Relation> relations)
        {
            Nodes = nodes;
            Ways = ways;
            Relations = relations;
        }

        public Dictionary<long, Node> Nodes { get; }
        public Dictionary<long, Way> Ways { get; }
        public Dictionary<long, Relation> Relations { get; }
    }
}
